<!-- Copyright (c) 2022 Qualcomm Innovation Center, Inc. All rights reserved. -->
<!-- SPDX-License-Identifier: BSD-3-Clause-Clear -->

<launch>
    <include file="$(find turn_on_qti_robot)/launch/turn_on_qti_robot.launch">
        <arg name="navigation"  default="true"/>
    </include>
    
    <include file="$(find turn_on_qti_robot)/launch/qti_lidar.launch" />
        <arg name="map_file" default="$(find turn_on_qti_robot)/map/mymap.yaml"/>

    <node name="map_server_for_test" pkg="map_server" type="map_server" args="$(arg map_file)">
    </node>

    <include file="$(find turn_on_qti_robot)/launch/include/amcl.launch" />

    <node name='send_mark' pkg="turn_on_qti_robot" type="send_mark.py">
    </node>
</launch>




